#ifndef COMPRESS_H
#define COMPRESS_H

/*!
 * \file   compress.h
 * \author  <baldurk@baldurk.org>
 * \date   Fri Feb  3 15:38:47 2006
 * 
 * \brief  compression routines  
 */

#ifdef CUSTOM_ZLIB

//! A function to inflate a deflated stream
int Inflate(unsigned char *dest, unsigned int *destlen,
	    unsigned char *source, unsigned int sourcelen);

#else

#include <zlib.h>

#define Inflate uncompress
#define Deflate compress
#define DeflateSize compressBound

#endif

#endif
