#include "glwidget.h"

bool Label::Render()
{
    FUNC("Label::Render");
    assert(rendering);
    glPushMatrix();
    glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
    glEnable(GL_BLEND);
    glDisable(GL_TEXTURE_2D);
    glDisable(GL_DEPTH_TEST);
 
    glTranslatef(pos.x+dim.x/2, pos.y+dim.y/2, 0.0f);

    glColor3f(theme->textcol.x, theme->textcol.y, theme->textcol.z);
    glTranslatef(-dim.x/2+theme->textsize.x/2, -dim.y/2+theme->textsize.y/3.0f, 0.0f);
    font.Print(Text.c_str());

    glPopMatrix();
    ENDRETURN(true);
}
